GET/cosmos/bank/v1beta1/denoms_metadata

https://rest-cosmos-mainnet.nodit.io/cosmos/bank/v1beta1/denoms_metadata

DenomsMetadata queries the client metadata for all registered coin denominations.

Query Parameters
pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
descriptionstring

Token description.

denom_unitsobject[]

Display units of the token, with their exponents.

denomstring

denom represents the string name of the given denom unit (e.g uatom).

exponentinteger (int64)

exponent represents power of 10 exponent that one must raise the base_denom to in order to equal the given DenomUnit's denom 1 denom = 10^exponent base_denom (e.g. with a base_denom of uatom, one can create a DenomUnit of 'atom' with exponent = 6, thus: 1 atom = 10^6 uatom).

aliasesstring[]

Aliases of this unit.

basestring

base represents the base denom (should be the DenomUnit with exponent = 0).

displaystring

display indicates the suggested denom that should be displayed in clients.

namestring

Token name.

symbolstring

Token symbol primarily displayed on exchanges (e.g., ATOM). May be the same as display.

uristring

URI of a document (on-chain or off-chain) containing additional information. Optional.

uri_hashstring

SHA256 hash of the document the URI points to. Used to verify document integrity. Optional.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU30
cURL
curl -X GET "https://rest-cosmos-mainnet.nodit.io/cosmos/bank/v1beta1/denoms_metadata?pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "metadatas": [
    {
      "description": "string",
      "denom_units": [
        {}
      ],
      "base": "string",
      "display": "string",
      "name": "string",
      "symbol": "string",
      "uri": "string",
      "uri_hash": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}